# 官方文档
# https://docs.linuxserver.io/images/docker-qbittorrent
# https://hub.docker.com/r/linuxserver/qbittorrent
# PT玩家看站规！！！
# PT玩家看站规！！！
# PT玩家看站规！！！
# 记得关闭启用跨站请求伪造 (CSRF) 保护

---
version: "3"
# 最后编辑时间：2024-03-11
services:
  qbittorrent:
    image: linuxserver/qbittorrent:latest
    # 镜像地址
    # 如果需要特定版本，请到dockerhub上查看tag，该镜像的4.3.9版本tag是14.3.9
    # qb4.6.0版本开始默认初始密码不再是admin，adminadmin，需要从日志中查看
    container_name: qbittorrent
    # 容器名字
    hostname: qbittorrent
    # 主机名
    # privileged: true
    # 特权模式，赋予容器几乎与主机相同的权限
    volumes:
      - /volume1/docker/qbittorrent:/config
      # 配置文件目录
      - /volume1/downloads:/downloads
      # 默认下载目录
      - /volume1/downloads/[00] Torrents监控自动下载目录:/watch
      # 种子监控自动下载目录
      # - 【这里替换为你想映射到QB内的路径】:/【这里替换为你想映射到QB内的路径】
      # 可以自定义，可以写多个，这里如果你理解了映射是什么，就会明白是什么意思，如果不会，别写
      # 如果你不理解映射，不要修改qb设置里的下载目录，保持/downloads，要分类下载就写在/downloads后面！！！如/downloads/电影
      # 如果你不理解映射，不要修改qb设置里的下载目录，保持/downloads，要分类下载就写在/downloads后面！！！如/downloads/电影
      # 如果你不理解映射，不要修改qb设置里的下载目录，保持/downloads，要分类下载就写在/downloads后面！！！如/downloads/电影
    environment:
      - WEBUI_PORT=8888
      # 自定义WebUI端口
      - TORRENTING_PORT=25800
      # 自定义传输端口，别写6881
      - PUID=1000
      - PGID=100
      # 用户和用户组权限，ssh中使用“id 用户名”查看，用户组一般为100(users)
      # 第一个用户而言，群晖为1026，新绿联为1001，linux类系统为1000，后续用户均+1
      # 如果出现无法下载的情况，改为0
      - UMASK=022
      # 默认创建新文件的权限，一般写022
      - TZ=Asia/Shanghai
      # 时区
    network_mode: host
    # 推荐使用host模式，能连接上ipv6，host网络+自定义容器端口不会导致和别的服务的端口产生冲突
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3
